SRC/zpotri.f(3)

NAME
SRC/zpotri.f

SYNOPSIS

  Functions/Subroutines
subroutine zpotri (uplo, n, a, lda, info)
ZPOTRI

Function/Subroutine Documentation

  subroutine zpotri (character uplo, integer n, complex*16, dimension( lda, * ) a, integer lda, integer info)

ZPOTRI

Purpose:

     ZPOTRI computes the inverse of a complex Hermitian positive definite
     matrix A using the Cholesky factorization A = U**H*U or A = L*L**H
     computed by ZPOTRF.

Parameters
    UPLO

              UPLO is CHARACTER*1
              = 'U':  Upper triangle of A is stored;
              = 'L':  Lower triangle of A is stored.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    A

              A is COMPLEX*16 array, dimension (LDA,N)
              On entry, the triangular factor U or L from the Cholesky
              factorization A = U**H*U or A = L*L**H, as computed by
              ZPOTRF.
              On exit, the upper or lower triangle of the (Hermitian)
              inverse of A, overwriting the input factor U or L.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,N).

    INFO

              INFO is INTEGER
              = 0:  successful exit
              < 0:  if INFO = -i, the i-th argument had an illegal value
              > 0:  if INFO = i, the (i,i) element of the factor U or L is
                    zero, and the inverse could not be computed.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 94 of file zpotri.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.